%define name rotoscope
%define version 0.2
%define release %mkrel 1

Summary: Rotoscope is a graphics program that gives a cartoon-like look
Summary(de):Rotoscope erzeugt aus Bildern comicartige... 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPLv2
Group: Graphics
URL: http://www.toonyphotos.com/
Source: http://www.toonyphotos.com/%{name}_%{version}.orig.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  gtk2-devel
BuildRequires: cairo-devel
BuildRequires: libglade2.0_0-devel
BuildRequires: libxml2-devel
BuildRequires:  glib2-devel
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description
Rotoscope is a graphics program that gives a cartoon-like look to
photos after the regions of similar color in the original photo
have been outlined. Outlining the original photos can be
time-consuming, but the result is often worth the effort.

#german
%description -l de
Die Freeware Rotoscope ermöglicht aus Fotos und Bildern comicartige
Verfremdungen zu erzeugen. Dazu muss man kein König der Bildbearbeitung
sein. Mit dem Auswahlwerkzeug werden lediglich farblich verschiedene Regionen
markiert bzw. ausgewählt, bevor das finale Rendering-Prozedere angestossen
werden kann. Die Rotoscope Technik findet derzeit auch häufig Anwendungen
in Filmen und ist ein fester Bestandteil der "Special Effects". 


%prep
%setup -q 


%build

%configure2_5x 
   
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf $RPM_BUILD_ROOT



%post
%update_menus


%postun
%clean_menus



%files 
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/%{name}.png
%_datadir/%{name}/%{name}.glade
%_mandir/man1/*.1.bz2

%changelog
* Sun Nov 15 2009 slick50 <lxgator@gmail.com>  0.2-1pclos2010
- initial build

